> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses invoices



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/invoices
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/invoices:
    get:
      tags:
        - BusinessInvoices
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: MerchantId
          in: query
          schema:
            type: integer
            format: int64
        - name: BusinessId
          in: query
          schema:
            type: integer
            format: int64
        - name: UserIds
          in: query
          schema:
            type: array
            items:
              type: integer
              format: int64
        - name: OnlyMine
          in: query
          schema:
            type: boolean
        - name: InvoiceNumber
          in: query
          schema:
            type: string
        - name: FromIssueDate
          in: query
          schema:
            type: string
            format: date-time
        - name: ToIssueDate
          in: query
          schema:
            type: string
            format: date-time
        - name: FromDueDate
          in: query
          schema:
            type: string
            format: date-time
        - name: ToDueDate
          in: query
          schema:
            type: string
            format: date-time
        - name: MinAmount
          in: query
          schema:
            type: number
            format: double
        - name: MaxAmount
          in: query
          schema:
            type: number
            format: double
        - name: Amount
          in: query
          schema:
            type: number
            format: double
        - name: Status
          in: query
          schema:
            type: string
        - name: CustomerId
          in: query
          schema:
            type: integer
            format: int64
        - name: CustomerName
          in: query
          schema:
            type: string
        - name: SearchTerm
          in: query
          schema:
            type: string
        - name: IsOverdue
          in: query
          schema:
            type: boolean
        - name: IsPaid
          in: query
          schema:
            type: boolean
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK

````